Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81904 - TB:ipcalc.py:41:prefix
Summary: TB:ipcalc.py:41:prefix
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2003-01-15 01:37 UTC by Donald Ray Lott
Modified: 2007-04-18 16:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-05 12:58:36 UTC


Attachments (Terms of Use)

Description Donald Ray Lott 2003-01-15 01:37:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After updating os via RHN/up2date, I cannot change the dns settings under the
dns tab of redhat-config-network. When I change dns address for primary or
secondary, and click apply I get the following:
Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 58,
in network
    self.prefix()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 41,
in prefix
    self._prefix = re.match("PREFIX=(\d+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start redhat-config-network
2.Under dns tab change dns ip address
3.Click apply
    

Actual Results:  execption occured message

Expected Results:  dns ip addresses changed

Additional info:

Comment 1 Mihai Ibanescu 2003-01-15 15:29:05 UTC
Reassigned to the right component.

Comment 2 Harald Hoyer 2003-02-05 12:58:36 UTC
should be fixed in 1.1.94


Note You need to log in before you can comment on or make changes to this bug.